import { store } from "@/store";
import { defineStore } from "pinia";

export const useSpcStore = defineStore("spcStore", {
  state: () => {
    const spcTaskObj = ref(null);
    return {
      spcTaskObj,
    };
  },
  persist: {
    enabled: true,
  },
});

export function useSpcStoreHook() {
  return useSpcStore(store);
}
